Get permission group details in batches
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get permission group details in batches by using the permission group unique identifier (Code).
Method name
ManagementClient.getNamespacesBatch
Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| codeList | string[] | Yes | - | Permission group code list, batches can be separated by commas Array length limit: 50. | code1,code2 |
Sample code
ts
import { ManagementClient, Models } from "authing-node-sdk";
// Initialize ManagementClient
const managementClient = new ManagementClient({
// Need to be replaced with your GenAuth Access Key ID
accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
// Need to be replaced with your GenAuth Access Key Secret
accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
// If it is a private deployment customer, you need to set the GenAuth service domain name
// host: 'https://api.your-authing-service.com'
});
(async () => {
const result = await managementClient.getNamespacesBatch({
codeList: ["my-namespace"],
});
console.log(JSON.stringify(result, null, 2));
})();Request response
Type: NamespaceListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | permission group list |
Sample result:
json
{
"statusCode": 200,
"message": "Operation successful",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"code": "my-namespace",
"name": "My permission group",
"description": "My permission group description"
}
}Data structure
NamespaceDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| code | string | yes | permission group unique identifier | my-namespace |
| name | string | no | permission group name | my permission group |
| description | string | no | permission group description | my permission group description |